# speedtest-container

Multi-arch container image for the Ookla speedtest CLI. It is based on [ubuntu:latest](https://hub.docker.com/_/ubuntu) and installs the speedtest binary as described in the official Ubuntu [install instructions](https://www.speedtest.net/apps/cli) on the Ookla Speedtest website.

## Usage example

```
# auto-detect nearest server
docker run --rm -it git.socialnerds.org/david/speedtest-container

# specify specific server
docker run --rm -it git.socialnerds.org/david/speedtest-container -s 3744
```

## Related infos

- [List of Ookla speedtest servers](https://gist.github.com/ofou/654efe67e173a6bff5c64ba26c09d058)
